com.corticon.rulesemf.canonicalrulemodel.rulesheet

## Interface EffectivityRange

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuleModelElement

      public interface EffectivityRange
      extends RuleModelElement

  A representation of the model object 'Effectivity Range'.

  The following features are supported:

  - `Effective Date`
  - `Expiration Date`
  See Also:
    `RulesheetPackage.getEffectivityRange()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getEffectiveDate()` Returns the value of the 'Effective Date' attribute
    `java.util.Date` | `getExpirationDate()` Returns the value of the 'Expiration Date' attribute
    `void` | `setEffectiveDate(java.util.Date value)` Sets the value of the '`Effective Date`' attribute
    `void` | `setExpirationDate(java.util.Date value)` Sets the value of the '`Expiration Date`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.RuleModelElement

      `getDocumentingRuleStatements`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getEffectiveDate

          java.util.Date getEffectiveDate()

      Returns the value of the 'Effective Date' attribute.

      If the meaning of the 'Effective Date' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Effective Date' attribute.
      See Also:
        `setEffectiveDate(Date)`, `RulesheetPackage.getEffectivityRange_EffectiveDate()`

    - #### setEffectiveDate

          void setEffectiveDate(java.util.Date value)

      Sets the value of the '`Effective Date`' attribute.
      Parameters:
        `value` - the new value of the 'Effective Date' attribute.
      See Also:
        `getEffectiveDate()`

    - #### getExpirationDate

          java.util.Date getExpirationDate()

      Returns the value of the 'Expiration Date' attribute.

      If the meaning of the 'Expiration Date' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expiration Date' attribute.
      See Also:
        `setExpirationDate(Date)`, `RulesheetPackage.getEffectivityRange_ExpirationDate()`

    - #### setExpirationDate

          void setExpirationDate(java.util.Date value)

      Sets the value of the '`Expiration Date`' attribute.
      Parameters:
        `value` - the new value of the 'Expiration Date' attribute.
      See Also:
        `getExpirationDate()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.